Ignore:
Timestamp:
Nov 7, 2009 12:34:15 PM (11 years ago)
Author:
stefan
Message:

update to GLPK 4.40

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r1411 r1441  
    16071607# that we are in a project main directory
    16081608coin_projectdir=yes
    1609 
    1610 # Check if a library version is set for libtool
    1611 
    16121609
    16131610
     
    47324729*-*-irix6*)
    47334730  # Find out which ABI we are using.
    4734   echo '#line 4734 "configure"' > conftest.$ac_ext
     4731  echo '#line 4731 "configure"' > conftest.$ac_ext
    47354732  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47364733  (eval $ac_compile) 2>&5
     
    63316328
    63326329# Provide some information about the compiler.
    6333 echo "$as_me:6333:" \
     6330echo "$as_me:6330:" \
    63346331     "checking for Fortran 77 compiler version" >&5
    63356332ac_compiler=`set X $ac_compile; echo $2`
     
    73987395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73997396   -e 's:$: $lt_compiler_flag:'`
    7400    (eval echo "\"\$as_me:7400: $lt_compile\"" >&5)
     7397   (eval echo "\"\$as_me:7397: $lt_compile\"" >&5)
    74017398   (eval "$lt_compile" 2>conftest.err)
    74027399   ac_status=$?
    74037400   cat conftest.err >&5
    7404    echo "$as_me:7404: \$? = $ac_status" >&5
     7401   echo "$as_me:7401: \$? = $ac_status" >&5
    74057402   if (exit $ac_status) && test -s "$ac_outfile"; then
    74067403     # The compiler can only warn and ignore the option if not recognized
     
    76667663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76677664   -e 's:$: $lt_compiler_flag:'`
    7668    (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
     7665   (eval echo "\"\$as_me:7665: $lt_compile\"" >&5)
    76697666   (eval "$lt_compile" 2>conftest.err)
    76707667   ac_status=$?
    76717668   cat conftest.err >&5
    7672    echo "$as_me:7672: \$? = $ac_status" >&5
     7669   echo "$as_me:7669: \$? = $ac_status" >&5
    76737670   if (exit $ac_status) && test -s "$ac_outfile"; then
    76747671     # The compiler can only warn and ignore the option if not recognized
     
    77707767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77717768   -e 's:$: $lt_compiler_flag:'`
    7772    (eval echo "\"\$as_me:7772: $lt_compile\"" >&5)
     7769   (eval echo "\"\$as_me:7769: $lt_compile\"" >&5)
    77737770   (eval "$lt_compile" 2>out/conftest.err)
    77747771   ac_status=$?
    77757772   cat out/conftest.err >&5
    7776    echo "$as_me:7776: \$? = $ac_status" >&5
     7773   echo "$as_me:7773: \$? = $ac_status" >&5
    77777774   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77787775   then
     
    1011510112  lt_status=$lt_dlunknown
    1011610113  cat > conftest.$ac_ext <<EOF
    10117 #line 10117 "configure"
     10114#line 10114 "configure"
    1011810115#include "confdefs.h"
    1011910116
     
    1021510212  lt_status=$lt_dlunknown
    1021610213  cat > conftest.$ac_ext <<EOF
    10217 #line 10217 "configure"
     10214#line 10214 "configure"
    1021810215#include "confdefs.h"
    1021910216
     
    1255912556   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1256012557   -e 's:$: $lt_compiler_flag:'`
    12561    (eval echo "\"\$as_me:12561: $lt_compile\"" >&5)
     12558   (eval echo "\"\$as_me:12558: $lt_compile\"" >&5)
    1256212559   (eval "$lt_compile" 2>conftest.err)
    1256312560   ac_status=$?
    1256412561   cat conftest.err >&5
    12565    echo "$as_me:12565: \$? = $ac_status" >&5
     12562   echo "$as_me:12562: \$? = $ac_status" >&5
    1256612563   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256712564     # The compiler can only warn and ignore the option if not recognized
     
    1266312660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266412661   -e 's:$: $lt_compiler_flag:'`
    12665    (eval echo "\"\$as_me:12665: $lt_compile\"" >&5)
     12662   (eval echo "\"\$as_me:12662: $lt_compile\"" >&5)
    1266612663   (eval "$lt_compile" 2>out/conftest.err)
    1266712664   ac_status=$?
    1266812665   cat out/conftest.err >&5
    12669    echo "$as_me:12669: \$? = $ac_status" >&5
     12666   echo "$as_me:12666: \$? = $ac_status" >&5
    1267012667   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1267112668   then
     
    1423314230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423414231   -e 's:$: $lt_compiler_flag:'`
    14235    (eval echo "\"\$as_me:14235: $lt_compile\"" >&5)
     14232   (eval echo "\"\$as_me:14232: $lt_compile\"" >&5)
    1423614233   (eval "$lt_compile" 2>conftest.err)
    1423714234   ac_status=$?
    1423814235   cat conftest.err >&5
    14239    echo "$as_me:14239: \$? = $ac_status" >&5
     14236   echo "$as_me:14236: \$? = $ac_status" >&5
    1424014237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1424114238     # The compiler can only warn and ignore the option if not recognized
     
    1433714334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433814335   -e 's:$: $lt_compiler_flag:'`
    14339    (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
     14336   (eval echo "\"\$as_me:14336: $lt_compile\"" >&5)
    1434014337   (eval "$lt_compile" 2>out/conftest.err)
    1434114338   ac_status=$?
    1434214339   cat out/conftest.err >&5
    14343    echo "$as_me:14343: \$? = $ac_status" >&5
     14340   echo "$as_me:14340: \$? = $ac_status" >&5
    1434414341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434514342   then
     
    1654416541   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654516542   -e 's:$: $lt_compiler_flag:'`
    16546    (eval echo "\"\$as_me:16546: $lt_compile\"" >&5)
     16543   (eval echo "\"\$as_me:16543: $lt_compile\"" >&5)
    1654716544   (eval "$lt_compile" 2>conftest.err)
    1654816545   ac_status=$?
    1654916546   cat conftest.err >&5
    16550    echo "$as_me:16550: \$? = $ac_status" >&5
     16547   echo "$as_me:16547: \$? = $ac_status" >&5
    1655116548   if (exit $ac_status) && test -s "$ac_outfile"; then
    1655216549     # The compiler can only warn and ignore the option if not recognized
     
    1681216809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681316810   -e 's:$: $lt_compiler_flag:'`
    16814    (eval echo "\"\$as_me:16814: $lt_compile\"" >&5)
     16811   (eval echo "\"\$as_me:16811: $lt_compile\"" >&5)
    1681516812   (eval "$lt_compile" 2>conftest.err)
    1681616813   ac_status=$?
    1681716814   cat conftest.err >&5
    16818    echo "$as_me:16818: \$? = $ac_status" >&5
     16815   echo "$as_me:16815: \$? = $ac_status" >&5
    1681916816   if (exit $ac_status) && test -s "$ac_outfile"; then
    1682016817     # The compiler can only warn and ignore the option if not recognized
     
    1691616913   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691716914   -e 's:$: $lt_compiler_flag:'`
    16918    (eval echo "\"\$as_me:16918: $lt_compile\"" >&5)
     16915   (eval echo "\"\$as_me:16915: $lt_compile\"" >&5)
    1691916916   (eval "$lt_compile" 2>out/conftest.err)
    1692016917   ac_status=$?
    1692116918   cat out/conftest.err >&5
    16922    echo "$as_me:16922: \$? = $ac_status" >&5
     16919   echo "$as_me:16919: \$? = $ac_status" >&5
    1692316920   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692416921   then
     
    1980119798LT_LDFLAGS=
    1980219799
    19803 # Check if we want to set the library version
    19804 echo "$as_me:$LINENO: checking if library version is set" >&5
    19805 echo $ECHO_N "checking if library version is set... $ECHO_C" >&6
    19806 if test x"$coin_libversion" != x; then
    19807   LT_LDFLAGS="$LT_LDFLAGS -version-info $coin_libversion"
    19808   echo "$as_me:$LINENO: result: $coin_libversion" >&5
    19809 echo "${ECHO_T}$coin_libversion" >&6
    19810 else
    19811   echo "$as_me:$LINENO: result: no" >&5
    19812 echo "${ECHO_T}no" >&6
    19813 fi
    19814 
    19815 
    1981619800
    1981719801#END
     
    2010520089  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2010620090echo "${ECHO_T}${majorver}.${minorver}" >&6
    20107   if test x$majorver != x4 || test x$minorver != x39 ; then
    20108     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
    20109 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
     20091  if test x$majorver != x4 || test x$minorver != x40 ; then
     20092    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&5
     20093echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&2;}
    2011020094   { (exit 1); exit 1; }; }
    2011120095  fi
Note: See TracChangeset for help on using the changeset viewer.